Skip to main content
GET
/
v1
/
users
/
search
Search users
curl --request GET \
  --url https://api.magne.app/v1/users/search \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "username": "<string>",
    "displayName": "<string>",
    "avatarUrl": "<string>",
    "bio": "<string>",
    "status": "<string>",
    "customStatus": "<string>",
    "activeBadgeSlug": "<string>"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

q
string
required
limit
integer
serverId
string<uuid>

Response

Success

id
string<uuid>
username
string
displayName
string
avatarUrl
string | null
bio
string | null
status
string
customStatus
string | null
activeBadgeSlug
string | null